<?xml version="1.0" encoding="utf-8" ?>
<Recipe Name="BindingRecipe" xmlns="http://schemas.microsoft.com/pag/gax-core" xmlns:xi="http://www.w3.org/2001/XInclude">
	<xi:include href="Includes/CommonTypeAliases.xml"
				  xpointer="xmlns(gax=http://schemas.microsoft.com/pag/gax-core) xpointer(/gax:Types)" />
	<Caption>Creates unbound references to the guidance package</Caption>
	<Actions>
		<Action Name="SpecifyProjectResponsibilityRef" Type="RefCreator" AssetName="SpecifyProjectResponsibility" ReferenceType="Microsoft.Practices.SoftwareFactories.ServiceFactory.References.ProjectSolutionPropertiesBasedReference, Microsoft.Practices.SoftwareFactories.ServiceFactory" IsEnabledForProperties="UnLocked" BoundIfPropertiesNotFound="True" />
		
		<Action Name="CreateDBConnectionRef" Type="RefCreator" AssetName="CreateDBConnection" ReferenceType="Howest.Guidance.Extensions.References.ProjectPropertyReference, Howest.Guidance.Extensions"
            IsEnabledForProperty="IsHostProject" />
		
		<Action Name="CreateDBConnectionFromConfigRef" Type="RefCreator" AssetName="CreateDBConnectionFromConfig" ReferenceType="Microsoft.Practices.SoftwareFactories.ServiceFactory.References.ConfigurationFileRecipeReference, Microsoft.Practices.SoftwareFactories.ServiceFactory" />
		
		<Action Name="CreateBEFromDBRef" Type="RefCreator" AssetName="CreateBEFromDB" ReferenceType="Howest.Guidance.Extensions.References.ProjectPropertyReference, Howest.Guidance.Extensions"
            IsEnabledForProperty="IsDataEntityProject" />
		
		<Action Name="CreateDAFromDAProjectRef" Type="RefCreator" AssetName="CreateDataAccessorFromDAProject" ReferenceType="Howest.Guidance.Extensions.References.ProjectPropertyReference, Howest.Guidance.Extensions"
            IsEnabledForProperty="IsDataAccessProject" />
	</Actions>
</Recipe> 
